Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05672 Crash/Freeze Critical (emulator) Always Aug 14, 2014, 04:25 Aug 26, 2014, 21:42
Tester peterferrie View Status Public Platform MESS (Official Binary)
Assigned To galibert Resolution Fixed OS Windows Vista/7 (32-bit)
Status [?] Resolved Driver apple2.cpp
Version 0.154 Fixed in Version 0.155 Build I686
Summary MESS-specific 05672: apple2e, apple2ee, probably others: hang when enabling output latch with no floppy in drive
Description With no disk in the drive, a read of MOTORON in conjunction with a read of Q7H will trigger a call to "floppy_image_device::find_position()" with "revolution_start_time" still set to "attotime::never". This results in a very long loop while performing the "while(delta < attotime::zero)".
Steps To Reproduce for slot 6,
call -151
*c0e9
*c0ef
Additional Information
Flags
Regression Version
Affected Sets / Systems apple2e, apple2ee, probably others
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
1
User avatar
No.10931
Tafoid
Administrator
Aug 17, 2014, 20:37
Exception at EIP=0185C655 (floppy_image_device::set_write_splice(attotime const&)+0x004b): ACCESS VIOLATION